tcp.h File Reference

Definition of Transport Control Protocol (TCP). More...

`#include <itpp/base/vec.h>`
`#include <itpp/base/converters.h>`
`#include <itpp/protocol/packet.h>`
`#include <itpp/protocol/events.h>`

Go to the source code of this file.

## Classes

class | itpp::Sequence_Number
class | itpp::TCP_Segment
class | itpp::TCP_Packet
struct | itpp::TCP_Packet::TDebugInfo
| ADD DOCUMENTATION HERE. More...
class | itpp::TCP_Sender
class | itpp::TCP_Receiver_Buffer
class | itpp::TCP_Receiver

## Namespaces

namespace | itpp
| itpp namespace

## Functions

const Sequence_Number & | itpp::min (const Sequence_Number &n1, const Sequence_Number &n2)
| ADD DOCUMENTATION HERE.
const Sequence_Number & | itpp::max (const Sequence_Number &n1, const Sequence_Number &n2)
| ADD DOCUMENTATION HERE.

## Detailed Description

Definition of Transport Control Protocol (TCP).

Author
  Krister Norlund

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Copyright (c) 2000-2004 IKR (formerly IND), University of Stuttgart This file is part of the IKR (formerly IND) TCP Library.

Definition in file tcp.h.

Generated on for IT++ by Doxygen 1.15.0